{% extends "base.html" %}
{% block content %}

<script src="/static/formBuilder/form-render.min.js"></script>

<div class="container">
    <div class="row col-md-3"></div>
    <div class="row col-md-6">
        <div style="font-size:1.5em">
            {%trans%}Preview{%endtrans%}
        </div>
        <hr style="margin-bottom:0" />
        <div style="font-size:1.15em">
            {{ formURL }}
        </div>
        <p>&nbsp;</p>
        <div id="fb-render"></div>
        <input class="btn-success btn" type="submit" value="{%trans%}Send{%endtrans%}" disabled />
        <p>&nbsp;</p>
        <div style="font-size:1.5em">
            {%trans%}Post-submit text{%endtrans%}
        </div>
        <hr />
        <div>
        {{ afterSubmitTextHTML | safe }}
        </div>
        
        <p>&nbsp;</p>
        <hr /> 
        <form action="/forms/save{% if session['form_id'] %}/{{ session['form_id'] }}{% endif %}" method="post">
            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
            <input class="btn-success btn" type="submit" value="{%trans%}Save{%endtrans%}">
            {% if session['form_id'] %}
                <input class="btn-primary btn" type="button" value="{%trans%}Edit again{%endtrans%}" onClick="location.href='/forms/edit/{{ session['form_id'] }}'">
                <input class="btn-primary btn" type="button" value="{%trans%}Cancel{%endtrans%}" onClick="location.href='/forms/view/{{ session['form_id'] }}'">
            {% else %}
                <input class="btn-primary btn" type="button" value="{%trans%}Edit again{%endtrans%}" onClick="location.href='/forms/edit'">
                <input class="btn-primary btn" type="button" value="{%trans%}Cancel{%endtrans%}" onClick="location.href='/forms'">
            {% endif %}
        </form>
    </div>
    <div class="row col-md-3"></div>
</div>


<script>
jQuery(function($) {
    var fbRender = document.getElementById('fb-render');
    var formData = {{ session['formStructure'] | tojson }};
    var formRenderOpts = {
        formData,
        dataType: 'json',
        notify: {
            success: function(message) {
                addRequiredMsg();
                return;
            }
        }
    };
    $(fbRender).formRender(formRenderOpts);
});
function addRequiredMsg(){
    if ($('#fb-render').find("span.fb-required").length) {
        var firstGroup = $('#fb-render').find('.form-group').filter(':visible:first');
        if (firstGroup.length) {
            $("<div class='required'>● {%trans%}Required fields{%endtrans%}</div>").insertBefore(firstGroup);
        }
    }    
}
</script>
  
{% endblock %}
